package click.kamil.springstatemachineexporter.analysis.model;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class CallEdge {
    private String targetMethod;
    private List<String> arguments;
    private String receiver;
    private String constraint;

    public CallEdge(String targetMethod, List<String> arguments) {
        this(targetMethod, arguments, null, null);
    }

    public CallEdge(String targetMethod, List<String> arguments, String receiver) {
        this(targetMethod, arguments, receiver, null);
    }
}
